Subject: Re: [Sipping] FW: I-D ACTION:draft-elwell-sipping-update-pai-01.txt

From: Mayumi Munakata <[email-masked]>
Date: Thu, 01 Mar 2007 18:11:25 +0900

John,

I agree with you that there is a need to include the 
implication of newly defined priv-values to P-A-ID, and 
the fact that you are upgrading RFC3325 makes it a good 
opportunity to reflect this, thanks for bringing this up.  
I would suggest that your draft refers to "id", "nw-level", 
and "all" as the priv-values triggering the removal of the 
P-A-ID, if the privacy clarification draft is accepted.

Let me give you one more comment to your draft.
The draft extends RFC 3325 by allowing use of P-A-ID header 
field in UPDATE requests.  What about the other methods 
such as MESSAGE (RFC 3428) and PUBLISH (RFC 3903)?  
These methods were specified after RFC 3325 and as it stands 
it's unclear on whether P-A-ID header can be included in 
these requests.  It would be useful to clarify the use of 
P-A-ID in these requests to make the update more comprehensive.

Thanks,
Mayumi

Elwell, John wrote:
> Since 00 this has been enhanced to clarify the inclusion of
> P-Asserted-Identity by a UAC and use of the header field in responses.
> 
> The need for further changes might arise as a result of
> draft-munakata-sip-privacy-clarified if that draft is progressed. It may be
> necessary for the update to RFC 3325 to mention the new privacy types
> defined in that draft.
> 
> A question for the chairs of SIPPING and SIP. Given that a) there is a
> strong relationship between this draft and the Munakata draft, and given
> also that RFC 3325 is cited as a core SIP specification in the hitchhiker's
> guide, would it make sense for discussions on RFC 3325 update to take place
> in the SIP WG?
> 
> John
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP